/***************************************************************************
 Copyright (C) 2007 Christoph Reichenbach <reichenb@colorado.edu>

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public Licence as
 published by the Free Software Foundaton; either version 2 of the
 Licence, or (at your option) any later version.

 It is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 merchantibility or fitness for a particular purpose. See the
 GNU General Public Licence for more details.

 You should have received a copy of the GNU General Public Licence
 along with this program; see the file COPYING. If not, write to
 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA 02111-1307, USA.

***************************************************************************/


package edu.colorado.cs;

public enum Direction {
	NORTH { public Direction reverse() { return SOUTH; } },
	SOUTH { public Direction reverse() { return NORTH; } },
	WEST { public Direction reverse() { return EAST; } },
	EAST { public Direction reverse() { return WEST; } };

	public abstract Direction reverse(); /* Gives the reverse direction */

	public String toShortString()
	{
		return toString().substring(0,1);
	}
};
